> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useanima.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Post orgs claim



## OpenAPI

````yaml /openapi.json post /orgs/{id}/claim
openapi: 3.1.1
info:
  title: Anima API
  version: 0.1.0
  description: >-
    The Anima API provides programmatic access to unified infrastructure for AI
    agents: create and manage agents; send and receive email; place phone calls
    and send/receive SMS and voice; store and retrieve vault credentials; manage
    agent identity; and configure webhooks for real-time events. Authenticate
    using a Bearer token or an API key passed via the X-API-Key header.
  contact:
    name: Anima Labs
    url: https://useanima.sh
    email: support@useanima.sh
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.useanima.sh/v1
    description: Production
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /orgs/{id}/claim:
    post:
      operationId: org.claim
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[cC][^\s-]{8,}$
            description: Organization to claim
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties: {}
              required: []
              description: Claim parameters
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    pattern: ^[cC][^\s-]{8,}$
                    description: Unique identifier for the organization
                  name:
                    type: string
                    description: Display name of the organization
                  slug:
                    type: string
                    description: URL-friendly identifier for the organization
                  clerkOrgId:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: External Clerk organization ID, null if not linked
                  tier:
                    enum:
                      - FREE
                      - STARTER
                      - GROWTH
                      - ENTERPRISE
                    type: string
                    description: Current subscription tier
                  keyRotatedAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                    description: >-
                      ISO 8601 timestamp of the last master-key rotation, null
                      if never rotated
                  settings:
                    type: object
                    additionalProperties: {}
                    description: Arbitrary key-value settings for the organization
                  outboundConsent:
                    type: object
                    properties:
                      attested:
                        type: boolean
                        description: >-
                          True once consent source, DNC attestation, and stamp
                          are all present
                      consentSource:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: >-
                          Declared basis for outbound contact consent, null if
                          unset
                      dncAttestation:
                        type: boolean
                        description: >-
                          Whether the org attested it scrubs against Do-Not-Call
                          lists
                      attestedAt:
                        anyOf:
                          - type: string
                            format: date-time
                          - type: 'null'
                        description: >-
                          ISO 8601 timestamp the attestation was recorded, null
                          if never
                      attestedBy:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: >-
                          Principal (user id or auth method) that recorded the
                          attestation
                    required:
                      - attested
                      - consentSource
                      - dncAttestation
                      - attestedAt
                      - attestedBy
                    description: >-
                      Outbound TCPA consent attestation status for this
                      organization
                  createdAt:
                    type: string
                    format: date-time
                    description: ISO 8601 timestamp when the organization was created
                  updatedAt:
                    type: string
                    format: date-time
                    description: ISO 8601 timestamp when the organization was last modified
                required:
                  - id
                  - name
                  - slug
                  - clerkOrgId
                  - tier
                  - keyRotatedAt
                  - settings
                  - outboundConsent
                  - createdAt
                  - updatedAt
                description: Organization resource with full details (no secrets)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Bearer token obtained from authentication. Pass as: Authorization:
        Bearer <token>
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key for programmatic access. Pass as: X-API-Key: <your-key>'

````